#===============================================================
# DMXIS Macro (c) 2019 db audioware limited
#
# Copies the masking state of all 512 channels into every 
# preset in the current bank. Useful when you use masking to
# create a bank for each section of your rig.
#===============================================================

# Grab a copy of the current masking
srcMask = [1] * 512;
for ch in range(0, 511):
  srcMask[ch] = GetChEnabled(ch);

# For every preset in the current bank
for p in range(GetNumPresets()):
  LoadPreset(p)

  # Paste masking
  for ch in range(0, 511):
      SetChEnabled(ch, srcMask[ch])

  # Save the modified preset
  SaveCurrentPreset()

# Script finished
Message("Channel masks copied to all presets in this bank.")
